%global shortname ros
%global	codename fuerte

# The "rosinstall" command that generates the tarball spits these out.
%global	actionlibversion 1.8.4
%global catkinversion 0.3.29
%global commonmsgsversion 1.8.5
%global	gencppversion 0.3.0
%global genlispversion 0.3.0
%global	genmsgversion 0.3.5
%global	genpyversion 0.3.3
%global rosversion 1.8.7
%global	roscommversion 1.8.9
%global	roscppcoreversion 0.2.3
%global rospackversion 2.0.12
%global stdmsgsversion 0.4.6

Name:		%{shortname}-%{codename}
# We use the "ros" version here.
Version:	%{rosversion}
# Increment release on all changes, even if it only is for one subpackage.
Release:	2%{?dist}
Summary:	The Robot Operating System
License:	BSD
URL:		http://www.ros.org/
# Upstream does not make source tarballs. And this pile of stuff is very... interdependent.
# So, we'll get their sources like this:
# rosinstall --catkin ~/fuerte-ros-base http://ros.org/rosinstalls/fuerte-ros-base.rosinstall
#
# It would be nice if we could build these as independent packages... but this is non-trivial.
# tar cvfj fuerte-ros-base-20120517.tar.bz2 fuerte-ros-base/
Source0:	fuerte-ros-base-20120517.tar.bz2
# Use system tinyxml
Patch0:		ros-fuerte-system-tinyxml.patch
# Use DESTDIR
Patch1:		ros-fuerte-destdir-fix.patch
# Rename xmlrpcpp files (and subdir the include files) to make it clear that it is a ROS
# specific fork
Patch2:		ros-fuerte-xmlrpcpp-fork.patch
BuildRequires:	cmake, python-setuptools-devel
BuildRequires:	boost-devel, gtest-devel, tinyxml-devel
BuildRequires:	bzip2-devel, python-nose, apr-devel, log4cxx-devel
BuildRequires:	python-paramiko, PyYAML, python-empy

%description
ROS is an open-source, meta-operating system for your robot. It provides the
services you would expect from an operating system, including hardware
abstraction, low-level device control, implementation of commonly-used
functionality, message-passing between processes, and package management. It
also provides tools and libraries for obtaining, building, writing, and
running code across multiple computers.

%package ros
Version:	%{rosversion}
Summary:	ROS packaging system
Requires:	catkin, gtest, bzip2, python, boost, python-nose, pkgconfig
Requires:	ros-%{codename}-rospack = %{rospackversion}-%{release}
Requires:	catkin = %{catkinversion}-%{release}
Requires:	ros-%{codename}-rospack = %{rospackversion}-%{release}
Requires:	boost, gtest, python-nose
Provides:	%{shortname} = %{rospackversion}-%{release}

%description ros
ROS is an open-source, meta-operating system for your robot. It provides the 
services you would expect from an operating system, including hardware 
abstraction, low-level device control, implementation of commonly-used 
functionality, message-passing between processes, and package management. It 
also provides tools and libraries for obtaining, building, writing, and 
running code across multiple computers. 

%package ros-devel
Requires:	ros-%{codename}-ros = %{rosversion}-%{release}
Requires:       ros-%{codename}-rospack-devel = %{rospackversion}-%{release}
Requires:	boost-devel, gtest-devel, log4cxx-devel
Summary:	Development files and headers for ros
Provides:	%{shortname}-devel = %{rospackversion}-%{release}

%description ros-devel
Development files and headers for ros.

%package base
Requires:	catkin = %{catkinversion}-%{release}
Requires:	ros-%{codename}-ros = %{rosversion}-%{release}
Requires:	ros-%{codename}-ros-devel = %{rosversion}-%{release}
Requires:	ros-%{codename}-actionlib = %{actionlibversion}-%{release}
Requires:	ros-%{codename}-actionlib-devel = %{actionlibversion}-%{release}
Requires:	ros-%{codename}-common-msgs = %{commonmsgsversion}-%{release}
Requires:	ros-%{codename}-common-msgs-devel = %{commonmsgsversion}-%{release}
Requires:	ros-%{codename}-gencpp = %{gencppversion}-%{release}
Requires:	ros-%{codename}-genlisp = %{genlispversion}-%{release}
Requires:	ros-%{codename}-genmsg = %{genmsgversion}-%{release}
Requires:	ros-%{codename}-genpy = %{genpyversion}-%{release}
Requires:	ros-%{codename}-ros-comm = %{roscommversion}-%{release}
Requires:	ros-%{codename}-ros-comm-devel = %{roscommversion}-%{release}
Requires:	ros-%{codename}-roscpp-core = %{roscppcoreversion}-%{release}
Requires:	ros-%{codename}-roscpp-core-devel = %{roscppcoreversion}-%{release}
Requires:	ros-%{codename}-rospack = %{rospackversion}-%{release}
Requires:	ros-%{codename}-rospack-devel = %{rospackversion}-%{release}
Requires:	ros-%{codename}-std-msgs = %{stdmsgsversion}-%{release}
Requires:	ros-%{codename}-std-msgs-devel = %{stdmsgsversion}-%{release}
Provides:	%{shortname}-base = %{rospackversion}-%{release}
Summary:	A ROS metapackage that pulls in all the base deps

%description base
ROS is an open-source, meta-operating system for your robot. It provides the
services you would expect from an operating system, including hardware
abstraction, low-level device control, implementation of commonly-used
functionality, message-passing between processes, and package management. It
also provides tools and libraries for obtaining, building, writing, and
running code across multiple computers.

This package is a metapackage which requires all of the "base" components in 
ROS, including the development files.

%package actionlib
Summary:	A standardized interface for interfacing with preemptible tasks in ROS
Version:	%{actionlibversion}
Requires:	ros-%{codename}-ros = %{rosversion}-%{release}
Provides:	%{shortname}-actionlib = %{actionlibversion}-%{release}

%description actionlib
A standardized interface for interfacing with preemptible tasks in ROS.

%package actionlib-devel
Summary:	Development files for ROS actionlib
Version:	%{actionlibversion}
Requires:	ros-%{codename}-actionlib = %{actionlibversion}-%{release}
Requires:	ros-%{codename}-ros-devel = %{rosversion}-%{release}
Provides:	%{shortname}-actionlib-devel = %{actionlibversion}-%{release}

%description actionlib-devel
Development files for ROS actionlib.

%package common-msgs
Summary:	Common ROS Messages
Version:	%{commonmsgsversion}
Requires:	ros-%{codename}-actionlib = %{actionlibversion}-%{release}
Requires:	catkin = %{catkinversion}-%{release}
Requires:	ros-%{codename}-ros-comm = %{roscommversion}-%{release}
Requires:	ros-%{codename}-genmsg = %{genmsgversion}-%{release}
Requires:	ros-%{codename}-std-msgs = %{stdmsgsversion}-%{release}
Provides:	%{shortname}-common-msgs = %{commonmsgsversion}-%{release}

%description common-msgs
Common ROS Messages.

%package common-msgs-devel
Summary:	Development files for ROS common_msgs
Version:	%{commonmsgsversion}
Requires:	ros-%{codename}-actionlib-devel = %{actionlibversion}-%{release}
Requires:	ros-%{codename}-common-msgs = %{commonmsgsversion}-%{release}
Requires:	ros-%{codename}-ros-comm-devel = %{roscommversion}-%{release}
Requires:	ros-%{codename}-std-msgs-devel = %{stdmsgsversion}-%{release}
Provides:	%{shortname}-common-msgs-devel = %{commonmsgsversion}-%{release}

%description common-msgs-devel
Development files for ROS common_msgs.

%package gencpp
Summary:	ROS message generation, cpp style
Version:	%{gencppversion}
Requires:	catkin = %{catkinversion}-%{release}
Requires:	ros-%{codename}-genmsg = %{genmsgversion}-%{release}
Provides:	%{shortname}-gencpp = %{gencppversion}-%{release}

%description gencpp
C++ ROS message and service generators.

%package genlisp
Summary:	ROS message generators for Lisp
Version:	%{genlispversion}
Requires:	catkin = %{catkinversion}-%{release}
Requires:	ros-%{codename}-genmsg = %{genmsgversion}-%{release}
Provides:	%{shortname}-genlisp = %{genlispversion}-%{release}

%description genlisp
Lisp ROS message generators.

%package genmsg
Summary:	ROS message generator library
Version:	%{genmsgversion}
Requires:	catkin = %{catkinversion}-%{release}
Provides:	%{shortname}-genmsg = %{genmsgversion}-%{release}

%description genmsg
Standalone Python library for generating ROS message and service data 
structures in Python, C++, LISP, and other languages.

%package genpy
Summary:	Python code generators for ROS messages
Version:	%{genpyversion}
Requires:	catkin = %{catkinversion}-%{release}
Requires:	ros-%{codename}-genmsg = %{genmsgversion}-%{release}
Provides:	%{shortname}-genpy = %{genpyversion}-%{release}

%description genpy
Python code generators for ROS messages.

%package ros-comm
Summary:	ROS communications-related libraries and tools
Version:	%{roscommversion}
Requires:	catkin = %{catkinversion}-%{release}
Requires:	ros-%{codename}-genmsg = %{genmsgversion}-%{release}
Requires:	ros-%{codename}-std-msgs = %{stdmsgsversion}-%{release}
Requires:	ros-%{codename}-roscpp-core = %{roscppcoreversion}-%{release}
Requires:	ros-%{codename}-ros = %{rosversion}-%{release}
Requires:	apr, boost, log4cxx, python-paramiko, python-yaml
Provides:	%{shortname}-ros-comm = %{roscommversion}-%{release}

%description ros-comm
ROS communications-related libraries and tools.

%package ros-comm-devel
Summary:	Development files for the ros_comm libraries and tools
Version:	%{roscommversion}
Requires:	ros-%{codename}-ros-comm = %{roscommversion}-%{release}
Requires:	ros-%{codename}-roscpp-core-devel = %{roscppcoreversion}-%{release}
Requires:	ros-%{codename}-ros-devel = %{rosversion}-%{release}
Requires:	ros-%{codename}-std-msgs-devel = %{stdmsgsversion}-%{release}
Provides:	%{shortname}-ros-comm-devel = %{roscommversion}-%{release}

%description ros-comm-devel
Development files for the ros_comm libraries and tools.

%package roscpp-core
Summary:	Underlying data libraries for roscpp messages in ROS
Version:	%{roscppcoreversion}
Requires:	ros-%{codename}-genmsg = %{genmsgversion}-%{release}
Requires:	boost
Provides:	%{shortname}-roscpp-core = %{roscppcoreversion}-%{release}

%description roscpp-core
Underlying data libraries for roscpp messages in ROS.

%package roscpp-core-devel
Summary:	Development files for roscpp_core ROS component
Version:	%{roscppcoreversion}
Requires:	ros-%{codename}-roscpp-core = %{roscppcoreversion}-%{release}
Requires:	boost-devel
Provides:	%{shortname}-roscpp-core-devel = %{roscppcoreversion}-%{release}

%description roscpp-core-devel
Development files for roscpp_core ROS component.

%package rospack
Summary:	ROS package management tool
Version:	%{rospackversion}
Requires:	catkin = %{catkinversion}-%{release}
Requires:	boost, gtest
Provides:	%{shortname}-rospack = %{rospackversion}-%{release}

%description rospack
ROS package management tool.

%package rospack-devel
Summary:	Development files for rospack
Version:	%{rospackversion}
Requires:	ros-%{codename}-rospack = %{rospackversion}-%{release}
Requires:	boost-devel, gtest-devel
Provides:	%{shortname}-rospack-devel = %{rospackversion}-%{release}

%description rospack-devel
Development files for rospack.

%package std-msgs
Summary:	Standard ROS message types
Version:	%{stdmsgsversion}
Requires:	catkin = %{catkinversion}-%{release}
Requires:	ros-%{codename}-genmsg = %{genmsgversion}-%{release}
Requires:	ros-%{codename}-ros = %{rosversion}-%{release}
Requires:	ros-%{codename}-roscpp-core = %{roscppcoreversion}-%{release}
Provides:	%{shortname}-std-msgs = %{stdmsgsversion}-%{release}

%description std-msgs
std_msgs contains common message types for ROS representing primitive data 
types and other basic message constructs, such as multiarrays. For common, 
generic robot-specific message types, please see the common_msgs component.

%package std-msgs-devel
Summary:	Development files for ROS std_msgs
Version:	%{stdmsgsversion}
Requires:	ros-%{codename}-std-msgs = %{stdmsgsversion}-%{release}
Requires:	ros-%{codename}-ros-devel = %{rosversion}-%{release}
Requires:	ros-%{codename}-roscpp-core-devel = %{roscppcoreversion}-%{release}
Provides:	%{shortname}-std-msgs-devel = %{stdmsgsversion}-%{release}

%description std-msgs-devel
Development files for ROS std_msgs.

%package -n catkin
Summary:	A cmake based build system
Version:	%{catkinversion}
BuildArch:	noarch
Requires:	cmake, python-setuptools, python-argparse, python-empy
Requires:	python-yaml, python-nose, gtest

%description -n catkin
Willow Garage low-level build system macros and infrastructure.
Primarily used for ROS.

%prep
%setup -q -n %{codename}-%{shortname}-base/
%patch0 -p1 -b .system-tinyxml
%patch1 -p1 -b .destdir
%patch2 -p1 -b .fork

# Delete bundled copy of tinyxml
rm -rf rospack/tinyxml-2.5.3

%build
# rpmlint says: ros-fuerte.src:306: W: rpm-buildroot-usage %%build export DESTDIR=%%{buildroot}
# Yes, we know. %%{buildroot} doesn't exist yet. But we need it to be evaluated before 
# cmake runs and generates makefiles. There probably is a better way to handle this,
# but I really hate cmake and want to touch it as little as possible.
export DESTDIR=%{buildroot}
mkdir build
cd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
make %{?_smp_mflags}

%install
pushd build
make DESTDIR=%{buildroot} install
popd

mkdir -p %{buildroot}%{_datadir}/catkin/
mv %{buildroot}/usr/bin/em %{buildroot}%{_datadir}/catkin/

# Move catkin files to a saner place
mv %{buildroot}/usr/etc %{buildroot}/

# Fix these files to be sane.
mkdir -p %{buildroot}%{_sbindir}

sed -i 's|/usr/setup.sh|/usr/sbin/ros-setup.sh|g' %{buildroot}/usr/.rosinstall
sed -i 's|/usr/stacks|/usr/share/ros-stacks|g' %{buildroot}/usr/.rosinstall

sed -i 's|/usr/setup.sh|/usr/sbin/ros-setup.sh|g' %{buildroot}/usr/env.sh
mv %{buildroot}/usr/env.sh %{buildroot}%{_sbindir}/ros-env.sh

sed -i 's|/usr/setup.sh|/usr/sbin/ros-setup.sh|g' %{buildroot}/usr/setup.bash
mv %{buildroot}/usr/setup.bash %{buildroot}%{_datadir}/catkin/

sed -i 's|/usr/etc/catkin/profile.d|/etc/catkin/profile.d|g' %{buildroot}/usr/setup.sh
mv %{buildroot}/usr/setup.sh %{buildroot}%{_sbindir}/ros-setup.sh

sed -i 's|/usr/setup.sh|/usr/sbin/ros-setup.sh|g' %{buildroot}/usr/setup.zsh
mv %{buildroot}/usr/setup.zsh %{buildroot}%{_datadir}/catkin/

sed -i 's|/usr/etc/ros|/etc/ros|g' %{buildroot}%{_sysconfdir}/catkin/profile.d/10.ros.all
sed -i 's|/usr/stacks|/usr/share/ros-stacks|g' %{buildroot}%{_sysconfdir}/catkin/profile.d/10.ros.all

# Move files to %%{_libdir}
# TODO: Make a properly versioned sharedlib
mkdir -p %{buildroot}%{_libdir}/pkgconfig
mv %{buildroot}/usr/lib/*.so %{buildroot}%{_libdir}
# Only the arch specific ones move.
for i in actionlib actionlib_msgs cpp_common diagnostic_msgs gencpp genlisp genmsg genpy geometry_msgs message_filters nav_msgs perf_roscpp rosbag \
	 rosconsole roscpp roscpp_serialization roscpp_traits rosgraph_msgs roslib roslisp rosout rospack rostest rostime rosunit sensor_msgs std_msgs \
	 std_srvs stereo_msgs test_crosspackage test_ros test_rosbag test_roscpp test_roscpp_serialization test_roscpp_serialization_perf \
	 test_roslib_comm test_rospy test_rostime topic_tools trajectory_msgs visualization_msgs xmlrpcpp; do
   mv %{buildroot}/usr/lib/pkgconfig/$i.pc %{buildroot}%{_libdir}/pkgconfig/
   sed -i 's|/lib|/%{_lib}|g' %{buildroot}%{_libdir}/pkgconfig/$i.pc
done

# Fix xmlrpcpp.pc file 
sed -i 's|${prefix}/include|${prefix}/include/rosxmlrpcpp|g' %{buildroot}%{_libdir}/pkgconfig/xmlrpcpp.pc
sed -i 's|lxmlrpcpp|lrosxmlrpcpp|g' %{buildroot}%{_libdir}/pkgconfig/xmlrpcpp.pc
# Eh. xmlrpcpp doesn't have a pc file. If that ever changes, we'll do this.
# mv %{buildroot}%{_libdir}/pkgconfig/xmlrpcpp.pc %{buildroot}%{_libdir}/pkgconfig/rosxmlrpcpp.pc

# Move compiled binaries to %%{_bindir}
# and make symlinks so ROS doesn't break
for i in play record; do
  mv %{buildroot}%{_datadir}/rosbag/bin/$i %{buildroot}%{_bindir}/ros$i
  ln -s %{_bindir}/ros$i %{buildroot}%{_datadir}/rosbag/bin/$i
done

mv %{buildroot}%{_datadir}/rosout/bin/rosout %{buildroot}%{_bindir}/rosout
ln -s %{_bindir}/rosout %{buildroot}%{_datadir}/rosout/bin/rosout

for i in drop mux relay switch_mux throttle; do
  mv %{buildroot}%{_datadir}/topic_tools/bin/$i %{buildroot}%{_bindir}/ros$i
  ln -s %{_bindir}/ros$i %{buildroot}%{_datadir}/topic_tools/bin/$i
done

# Set the +x bit on some included scripts
# Python_sitelib files
for i in rosboost_cfg/rosboost_cfg.py roscreate/core.py roscreate/__init__.py roslib/gentools.py roslib/launcher.py \
	 roslib/manifestlib.py roslib/manifest.py roslib/stack_manifest.py roslib/stacks.py rosmake/engine.py \
	 rosmake/package_stats.py rosmake/parallel_build.py rosunit/junitxml.py actionlib/goal_id_generator.py \
	 actionlib/action_client.py actionlib/exceptions.py actionlib/simple_action_client.py actionlib/simple_action_server.py \
	 actionlib/action_server.py genmsg/gentools.py rosnode/__init__.py rostopic/__init__.py test_ros/param_server.py \
	 rosgraph/rosgraph_main.py test_ros/rosclient.py; do
  chmod +x %{buildroot}%{python_sitelib}/$i
done

# Datadir files
for i in ros/core/mk/make_pydev_project.py ros/core/rosbuild/tests/count_cores.py gencpp/bin/gen_cpp.py test_ros/nodes/add_two_ints_server \
	 test_ros/nodes/fake_time.py test_ros/nodes/testSlave test_ros/nodes/testAllCommonFlows test_ros/nodes/fail_two_ints_server test_ros/nodes/talker.py \
	 test_ros/nodes/testMaster roscpp/rosbuild/scripts/msg_gen.py test_ros/nodes/listener.py test_ros/nodes/add_two_ints_client; do
  chmod +x %{buildroot}%{_datadir}/$i
done

# Catkin files
chmod +x %{buildroot}%{_bindir}/catkin_util.sh %{buildroot}%{_sbindir}/ros-setup.sh %{buildroot}%{_datadir}/catkin/em/rules.cmake.catkin.em
chmod +x %{buildroot}%{_datadir}/catkin/cmake/templates/update_project_index.py* %{buildroot}%{_datadir}/catkin/cmake/interrogate_setup_dot_py.py

# Remove the +x bit from some other files.
# Datadir files
for i in actionlib/library.py; do
  chmod -x %{buildroot}%{_datadir}/$i
done

%post ros -p /sbin/ldconfig
%postun ros -p /sbin/ldconfig

%post actionlib -p /sbin/ldconfig
%postun actionlib -p /sbin/ldconfig

%post common-msgs -p /sbin/ldconfig
%postun common-msgs -p /sbin/ldconfig

%post ros-comm -p /sbin/ldconfig
%postun ros-comm -p /sbin/ldconfig

%post roscpp-core -p /sbin/ldconfig
%postun roscpp-core -p /sbin/ldconfig

%post rospack -p /sbin/ldconfig
%postun rospack -p /sbin/ldconfig

%post std-msgs -p /sbin/ldconfig
%postun std-msgs -p /sbin/ldconfig

%files ros
%doc ros/README ros/AUTHORS ros/LICENSE/roscheck/*.txt
# This file tells ROS where it put its bits.
/usr/.rosinstall
%{_bindir}/rosboost-cfg
%{_bindir}/rosclean
%{_bindir}/roscreate-pkg
%{_bindir}/rosmake
%{_bindir}/rosrun
%{_bindir}/rosunit
%dir %{_datadir}/common-lisp/ros/
%{_datadir}/ros/
%{_datadir}/rosbash/
%{_datadir}/rosboost_cfg/
%{_datadir}/rosclean/
%{_datadir}/roscreate/
%{_datadir}/roslang/
%{_datadir}/roslib/
%{_datadir}/rosmake/
%{_datadir}/rosunit/
%config(noreplace) %{_sysconfdir}/catkin/profile.d/*
%dir %{_sysconfdir}/langs/
%config(noreplace) %{_sysconfdir}/langs/*
%dir %{_sysconfdir}/ros/
%config(noreplace) %{_sysconfdir}/ros/*
%{_libdir}/libroslib.so
%{python_sitelib}/ros/
%{python_sitelib}/rosboost_cfg/
%{python_sitelib}/rosclean/
%{python_sitelib}/roscreate/
%{python_sitelib}/roslib-*.egg-info/
%{python_sitelib}/roslib/
%{python_sitelib}/rosmake/
%{python_sitelib}/rosunit/

%files ros-devel
%{_includedir}/ros/
%{_libdir}/pkgconfig/roslib.pc
%{_libdir}/pkgconfig/rosunit.pc

%files base
# Metapackage, nothing here.

%files actionlib
%{_datadir}/common-lisp/ros/actionlib/
%{_datadir}/actionlib/
%{_libdir}/libactionlib.so
%{python_sitelib}/actionlib/
%{python_sitelib}/actionlib-*.egg-info/

%files actionlib-devel
%{_includedir}/actionlib/
%{_libdir}/pkgconfig/actionlib.pc

%files common-msgs
%{_datadir}/common-lisp/ros/actionlib_msgs/
%{_datadir}/common-lisp/ros/diagnostic_msgs/
%{_datadir}/common-lisp/ros/geometry_msgs/
%{_datadir}/common-lisp/ros/nav_msgs/
%{_datadir}/common-lisp/ros/sensor_msgs/
%{_datadir}/common-lisp/ros/stereo_msgs/
%{_datadir}/common-lisp/ros/trajectory_msgs/
%{_datadir}/common-lisp/ros/visualization_msgs/
%{_datadir}/actionlib_msgs/
%{_datadir}/common_msgs/
%{_datadir}/diagnostic_msgs/
%{_datadir}/geometry_msgs/
%{_datadir}/nav_msgs
%{_datadir}/sensor_msgs/
%{_datadir}/stereo_msgs/
%{_datadir}/trajectory_msgs/
%{_datadir}/visualization_msgs/
%{_libdir}/libsensor_msgs.so
%{python_sitelib}/actionlib_msgs/
%{python_sitelib}/diagnostic_msgs/
%{python_sitelib}/geometry_msgs/
%{python_sitelib}/nav_msgs/
%{python_sitelib}/sensor_msgs/
%{python_sitelib}/stereo_msgs/
%{python_sitelib}/trajectory_msgs/
%{python_sitelib}/visualization_msgs/

%files common-msgs-devel
%{_includedir}/actionlib_msgs/
%{_includedir}/diagnostic_msgs/
%{_includedir}/geometry_msgs/
%{_includedir}/nav_msgs/
%{_includedir}/sensor_msgs/
%{_includedir}/stereo_msgs/
%{_includedir}/trajectory_msgs/
%{_includedir}/visualization_msgs/
%{_libdir}/pkgconfig/actionlib_msgs.pc
%{_libdir}/pkgconfig/diagnostic_msgs.pc
%{_libdir}/pkgconfig/geometry_msgs.pc
%{_libdir}/pkgconfig/nav_msgs.pc
%{_libdir}/pkgconfig/sensor_msgs.pc
%{_libdir}/pkgconfig/stereo_msgs.pc
%{_libdir}/pkgconfig/trajectory_msgs.pc
%{_libdir}/pkgconfig/visualization_msgs.pc

%files gencpp
%{_bindir}/gen_cpp.py
%{_datadir}/gencpp/
%{python_sitelib}/gencpp-*.egg-info/
%{python_sitelib}/gencpp/
# This would go in a devel package, but it would be the only file.
%{_libdir}/pkgconfig/gencpp.pc

%files genlisp
%{_bindir}/gen_lisp.py
%{_datadir}/genlisp/
%{python_sitelib}/genlisp-*.egg-info/
%{python_sitelib}/genlisp/
# This would go in a devel package, but it would be the only file.
%{_libdir}/pkgconfig/genlisp.pc

%files genmsg
%{_datadir}/genmsg/
%{python_sitelib}/genmsg-*.egg-info
%{python_sitelib}/genmsg/
# This would go in a devel package, but it would be the only file.
%{_libdir}/pkgconfig/genmsg.pc

%files genpy
%{_bindir}/genmsg_py.py
%{_bindir}/gensrv_py.py
%{_datadir}/genpy/
%{python_sitelib}/genpy-*.egg-info/
%{python_sitelib}/genpy/
# This would go in a devel package, but it would be the only file.
%{_libdir}/pkgconfig/genpy.pc

%files ros-comm
%{_bindir}/genmsg_py.py
%{_bindir}/gensrv_py.py
%{_bindir}/rosbag
%{_bindir}/roscore
%{_bindir}/rosdrop
%{_bindir}/rosgraph
%{_bindir}/roslaunch
%{_bindir}/roslaunch-deps
%{_bindir}/roslaunch-logs
%{_bindir}/rosmaster
%{_bindir}/rosmsg
%{_bindir}/rosmsg-proto
%{_bindir}/rosmux
%{_bindir}/rosnode
%{_bindir}/rosout
%{_bindir}/rosparam
%{_bindir}/rosplay
%{_bindir}/rosrecord
%{_bindir}/rosrelay
%{_bindir}/rosservice
%{_bindir}/rossrv
%{_bindir}/rosswitch_mux
%{_bindir}/rostest
%{_bindir}/rosthrottle
%{_bindir}/rostopic
%{_bindir}/roswtf
%{_datadir}/message_filters/
%{_datadir}/perf_roscpp/
%{_datadir}/ros_comm/
%{_datadir}/rosbag/
%{_datadir}/rosconsole/
%{_datadir}/roscpp/
%{_datadir}/rosgraph/
%{_datadir}/rosgraph_msgs/
%{_datadir}/roslaunch/
%{_datadir}/roslisp/
%{_datadir}/rosmaster/
%{_datadir}/rosmsg/
%{_datadir}/rosnode/
%{_datadir}/rosout/
%{_datadir}/rosparam/
%{_datadir}/rospy/
%{_datadir}/rosservice/
%{_datadir}/rostest/
%{_datadir}/rostopic/
%{_datadir}/roswtf/
%{_datadir}/std_srvs/
%{_datadir}/test_ros/
%{_datadir}/test_rosbag/
%{_datadir}/test_crosspackage/
%{_datadir}/test_roscpp/
%{_datadir}/test_roscpp_serialization/
%{_datadir}/test_roscpp_serialization_perf/
%{_datadir}/test_roslib_comm/
%{_datadir}/test_rospy/
%{_datadir}/test_rosservice/
%{_datadir}/test_rostime/
%{_datadir}/topic_tools/
%{_datadir}/xmlrpcpp/
%{_datadir}/common-lisp/ros/perf_roscpp/
%{_datadir}/common-lisp/ros/roscpp/
%{_datadir}/common-lisp/ros/rosgraph_msgs/
%{_datadir}/common-lisp/ros/roslisp/
%{_datadir}/common-lisp/ros/std_srvs/
%{_datadir}/common-lisp/ros/test_crosspackage/
%{_datadir}/common-lisp/ros/test_ros/
%{_datadir}/common-lisp/ros/test_rosbag/
%{_datadir}/common-lisp/ros/test_roscpp/
%{_datadir}/common-lisp/ros/test_roscpp_serialization/
%{_datadir}/common-lisp/ros/test_roscpp_serialization_perf/
%{_datadir}/common-lisp/ros/test_roslib_comm/
%{_datadir}/common-lisp/ros/test_rospy/
%{_datadir}/common-lisp/ros/test_rosservice/
%{_datadir}/common-lisp/ros/topic_tools/
%{_libdir}/libmessage_filters.so
%{_libdir}/librosbag.so
%{_libdir}/librosconsole.so
%{_libdir}/libroscpp.so
%{_libdir}/librosxmlrpcpp.so
%{_libdir}/libtopic_tools.so
%{python_sitelib}/message_filters/
%{python_sitelib}/perf_roscpp/
%{python_sitelib}/ros_comm-*.egg-info/
%{python_sitelib}/rosbag/
%{python_sitelib}/roscpp/
%{python_sitelib}/rosgraph_msgs/
%{python_sitelib}/rosgraph/
%{python_sitelib}/roslaunch/
%{python_sitelib}/rosmaster/
%{python_sitelib}/rosmsg/
%{python_sitelib}/rosnode/
%{python_sitelib}/rosparam/
%{python_sitelib}/rospy/
%{python_sitelib}/rosservice/
%{python_sitelib}/rostest/
%{python_sitelib}/rostopic/
%{python_sitelib}/roswtf/
%{python_sitelib}/std_srvs/
%{python_sitelib}/test_crosspackage/
%{python_sitelib}/test_ros/
%{python_sitelib}/test_rosbag/
%{python_sitelib}/test_roscpp/
%{python_sitelib}/test_roscpp_serialization/
%{python_sitelib}/test_roscpp_serialization_perf/
%{python_sitelib}/test_roslib_comm/
%{python_sitelib}/test_rospy/
%{python_sitelib}/test_rosservice/
%{python_sitelib}/topic_tools/

%files ros-comm-devel
%{_includedir}/message_filters/
%{_includedir}/perf_roscpp/
%{_includedir}/rosbag/
%{_includedir}/rosconsole/
%{_includedir}/roscpp/
%{_includedir}/rosgraph_msgs/
%{_includedir}/rostest/
%{_includedir}/rosxmlrpcpp/
%{_includedir}/std_srvs/
%{_includedir}/test_crosspackage/
%{_includedir}/test_ros/
%{_includedir}/test_rosbag/
%{_includedir}/test_roscpp/
%{_includedir}/test_roscpp_serialization/
%{_includedir}/test_roscpp_serialization_perf/
%{_includedir}/test_roslib_comm/
%{_includedir}/test_rospy/
%{_includedir}/test_rosservice/
%{_includedir}/topic_tools/
%{_libdir}/pkgconfig/message_filters.pc
%{_libdir}/pkgconfig/perf_roscpp.pc
%{_libdir}/pkgconfig/rosbag.pc
%{_libdir}/pkgconfig/rosconsole.pc
%{_libdir}/pkgconfig/roscpp.pc
%{_libdir}/pkgconfig/rosgraph_msgs.pc
%{_libdir}/pkgconfig/roslisp.pc
%{_libdir}/pkgconfig/rosout.pc
%{_libdir}/pkgconfig/rostest.pc
%{_libdir}/pkgconfig/xmlrpcpp.pc
%{_libdir}/pkgconfig/std_srvs.pc
%{_libdir}/pkgconfig/test_crosspackage.pc
%{_libdir}/pkgconfig/test_ros.pc
%{_libdir}/pkgconfig/test_rosbag.pc
%{_libdir}/pkgconfig/test_roscpp.pc
%{_libdir}/pkgconfig/test_roscpp_serialization.pc
%{_libdir}/pkgconfig/test_roscpp_serialization_perf.pc
%{_libdir}/pkgconfig/test_roslib_comm.pc
%{_libdir}/pkgconfig/test_rospy.pc
%{_libdir}/pkgconfig/test_rostime.pc
%{_libdir}/pkgconfig/topic_tools.pc

%files roscpp-core
%{_datadir}/cpp_common/
%{_datadir}/roscpp_core/
%{_datadir}/roscpp_serialization/
%{_datadir}/roscpp_traits/
%{_datadir}/rostime/
%{_libdir}/libcpp_common.so
%{_libdir}/libroscpp_serialization.so
%{_libdir}/librostime.so

%files roscpp-core-devel
%{_libdir}/pkgconfig/cpp_common.pc
%{_libdir}/pkgconfig/rostime.pc
%{_libdir}/pkgconfig/roscpp_serialization.pc
%{_libdir}/pkgconfig/roscpp_traits.pc

%files rospack
%{_bindir}/rospack
%{_bindir}/rosstack
%{_datadir}/rospack/
%{_libdir}/librospack.so

%files rospack-devel
%{_includedir}/rospack/
%{_libdir}/pkgconfig/rospack.pc

%files std-msgs
%{_datadir}/common-lisp/ros/std_msgs/
%{_datadir}/std_msgs/
%{python_sitelib}/std_msgs/

%files std-msgs-devel
%{_includedir}/std_msgs/
%{_libdir}/pkgconfig/std_msgs.pc

%files -n catkin
%{_bindir}/catkin*
%{_bindir}/git-catkin*
%{_datadir}/catkin/
%{_sbindir}/ros-env.sh
%{_sbindir}/ros-setup.sh
%dir %{_sysconfdir}/catkin/
%config(noreplace) %{_sysconfdir}/catkin/*
# Yes, this is intentional. catkin is noarch.
/usr/lib/pkgconfig/catkin.pc
%{python_sitelib}/catkin/
%{python_sitelib}/catkin-*.egg-info
%{_datadir}/ros/cmake/ros-config.cmake

%changelog
* Mon Jun  4 2012 Tom Callaway <spot@fedoraproject.org> - 1.8.7-2
- fix missing Requires on log4cxx-devel

* Thu May 17 2012 Tom Callaway <spot@fedoraproject.org> - 1.8.7-1
- update to fuerte (1.8.7)
